﻿<Window x:Class="TodoList.MainWindow"
        xmlns="http://schemas.microsoft.com/winfx/2006/xaml/presentation"
        xmlns:x="http://schemas.microsoft.com/winfx/2006/xaml"
        xmlns:d="http://schemas.microsoft.com/expression/blend/2008"
        xmlns:mc="http://schemas.openxmlformats.org/markup-compatibility/2006"
        xmlns:local="clr-namespace:TodoList"
        mc:Ignorable="d"
        Title="Todo List" Height="350" Width="525">
    <Window.Resources>
        <BooleanToVisibilityConverter x:Key="MyVisibilityConverter"/>
        <local:DeadlineToBrushConverter x:Key="MyDeadlineConverter"/>
    </Window.Resources>

    <DockPanel>
        <!--Text="Offene Tasks: x / y"-->
        <TextBlock DockPanel.Dock="Bottom" Padding="4">
            <TextBlock.Text>
                <MultiBinding StringFormat="{}Offene Tasks: {0}/{1}">
                    <Binding Path="OpenItems"></Binding>
                    <Binding Path="TodoItems.Count"></Binding>
                </MultiBinding>
            </TextBlock.Text>
        </TextBlock>
        <ListBox Name="TodoListBox" ItemsSource="{Binding TodoItems}">
            <!-- place your bindings and the data template here -->
            <ListBox.ItemTemplate>
                <DataTemplate DataType="local:TodoItem">
                    <StackPanel Orientation="Horizontal">
                        <TextBlock Text="{Binding Description}"/>
                        <TextBlock Text=" - "></TextBlock>
                        <TextBlock Text="OK" Visibility="{Binding IsDone, Converter={StaticResource MyVisibilityConverter}}"></TextBlock>
                        <TextBlock Text="{Binding Deadline}" Visibility="{Binding IsOpen, Converter={StaticResource MyVisibilityConverter}}"
                                   Foreground="{Binding Deadline, Converter={StaticResource MyDeadlineConverter}}"></TextBlock>
                    </StackPanel>
                </DataTemplate>
            </ListBox.ItemTemplate>
        </ListBox>
    </DockPanel>
</Window>
